Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | Static Protected Attributes
Lucene::QueryParserConstants Class Reference

Token literal values and constants. More...

`#include <QueryParserConstants.h>`

Inheritance diagram for Lucene::QueryParserConstants:

## Public Types

enum

RegularExpressionId {
_EOF = 0 , _NUM_CHAR = 1 , _ESCAPED_CHAR = 2 , _TERM_START_CHAR = 3 ,
_TERM_CHAR = 4 , _WHITESPACE = 5 , _QUOTED_CHAR = 6 , AND = 8 ,
OR = 9 , NOT = 10 , PLUS = 11 , MINUS = 12 ,
LPAREN = 13 , RPAREN = 14 , COLON = 15 , STAR = 16 ,
CARAT = 17 , QUOTED = 18 , TERM = 19 , FUZZY_SLOP = 20 ,
PREFIXTERM = 21 , WILDTERM = 22 , RANGEIN_START = 23 , RANGEEX_START = 24 ,
NUMBER = 25 , RANGEIN_TO = 26 , RANGEIN_END = 27 , RANGEIN_QUOTED = 28 ,
RANGEIN_GOOP = 29 , RANGEEX_TO = 30 , RANGEEX_END = 31 , RANGEEX_QUOTED = 32 ,
RANGEEX_GOOP = 33
}

enum | LexicalState { Boost = 0 , RangeEx = 1 , RangeIn = 2 , DEFAULT = 3 }

## Public Member Functions

virtual | ~QueryParserConstants ()
virtual String | getClassName ()

## Static Public Member Functions

static String | _getClassName ()

## Static Public Attributes

static Collection< String > | tokenImage
| Literal token values.

## Protected Member Functions

| QueryParserConstants ()

## Static Protected Attributes

static const wchar_t * | _tokenImage []
| Literal token values.

## Detailed Description

Token literal values and constants.

## Member Enumeration Documentation

## ◆ LexicalState

enum Lucene::QueryParserConstants::LexicalState

Enumerator
Boost |
RangeEx |
RangeIn |
DEFAULT |

## ◆ RegularExpressionId

enum Lucene::QueryParserConstants::RegularExpressionId

Enumerator
_EOF |
_NUM_CHAR |
_ESCAPED_CHAR |
_TERM_START_CHAR |
_TERM_CHAR |
_WHITESPACE |
_QUOTED_CHAR |
AND |
OR |
NOT |
PLUS |
MINUS |
LPAREN |
RPAREN |
COLON |
STAR |
CARAT |
QUOTED |
TERM |
FUZZY_SLOP |
PREFIXTERM |
WILDTERM |
RANGEIN_START |
RANGEEX_START |
NUMBER |
RANGEIN_TO |
RANGEIN_END |
RANGEIN_QUOTED |
RANGEIN_GOOP |
RANGEEX_TO |
RANGEEX_END |
RANGEEX_QUOTED |
RANGEEX_GOOP |

## Constructor & Destructor Documentation

## ◆ QueryParserConstants()

Lucene::QueryParserConstants::QueryParserConstants | ( |  | ) |

protected

Referenced by _getClassName().

## ◆ ~QueryParserConstants()

virtual Lucene::QueryParserConstants::~QueryParserConstants | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::QueryParserConstants::_getClassName | ( |  | ) |

inline static

References QueryParserConstants().

## ◆ getClassName()

virtual String Lucene::QueryParserConstants::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::MultiFieldQueryParser, Lucene::QueryParser, and Lucene::QueryParserTokenManager.

## Field Documentation

## ◆ _tokenImage

const wchar_t* Lucene::QueryParserConstants::_tokenImage[]

static protected

Literal token values.

## ◆ tokenImage

Collection<String> Lucene::QueryParserConstants::tokenImage

static

Literal token values.

The documentation for this class was generated from the following file:

- QueryParserConstants.h

clucene.sourceforge.net